name = "Tank Mod"
dependencies = {
	{"exdilin", "0.5.0"}
}

function register(registerType)
	if registerType == "textures" then
		exdilin.register_and_load_texture("Tank Texture", "tanktexture.png", "Normal", "Decal")
		exdilin.register_and_load_texture("Tank Icon", "tankicon.png", "Normal", "OneSideTo1x1")
	end
end

function init()
	exdilin.load_block_model("Tank", "smoltank.obj")
end

function pre_init()
	local tank = exdilin.new_block({
		id = "Tank",
		modelName = "Tank"
	})

	local tankItem = tank.default_block_item("Tank Icon", "chase")
	tankItem.register()
	tank.register()

	local TankTextureItem = exdilin.texture_item("Tank Texture")
	TankTextureItem.register()
end